drama.shaders = {};
drama.shaders["setcolor"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 setColor;\n\nvoid main(void)\n{\n	lowp float a = texture2D(samplerFront, vTex).a;\n	\n	gl_FragColor = vec4(setColor.r * a, setColor.g * a, setColor.b * a, a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["setColor",0,2]]
};

drama.shaders["tint"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 tintColor;\n\nvoid main(void)\n{\n	lowp vec4 front = texture2D(samplerFront, vTex);\n	\n	gl_FragColor = front * vec4(tintColor.r, tintColor.g, tintColor.b, 1.0);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["tintColor",0,2]]
};

drama.shaders["warpripple"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform mediump vec2 srcOriginStart;\nuniform mediump vec2 srcOriginEnd;\nuniform mediump float seconds;\nuniform mediump vec2 pixelSize;\n\nuniform mediump float freq;\nuniform mediump float amp;\nuniform mediump float speed;\n\nconst mediump float PI = 3.1415926;\n\nvoid main(void)\n{\n	mediump vec2 srcOriginSize = srcOriginEnd - srcOriginStart;\n	mediump vec2 tex = (vTex - srcOriginStart) / srcOriginSize;\n	tex = tex * 2.0 - 1.0;\n		\n	mediump float d = length(tex);\n	mediump float a = atan(tex.y, tex.x);\n	\n	d += sin((d * 2.0 * PI) * freq / (pixelSize.x * 750.0) + (seconds * speed)) * amp * (pixelSize.x * 750.0);\n	\n	tex.x = cos(a) * d;\n	tex.y = sin(a) * d;\n	\n	tex = (tex + 1.0) / 2.0;\n	tex = clamp(tex, 0.0, 1.0);\n	tex = tex * srcOriginSize + srcOriginStart;\n	\n	gl_FragColor = texture2D(samplerFront, tex);\n}\n",
	extendBoxHorizontal: 50,
	extendBoxVertical: 50,
	crossSampling: false,
	preservesOpaqueness: false,
	animated: true,
	parameters: [["freq",0,0],["amp",0,1],["speed",0,0]]
};
